-- DB: provides addon modules easy access to saved variables.

local AddonName, Addon = ...

-- Addon
local DB = Addon.DB

-- Default database values
local defaults = {
  Global = {
    Minimap = { hide = false },
    HighScore = 0,
    EnableMusic = true
  },
  Profile = {}
}

-- ============================================================================
-- Database Functions
-- ============================================================================

-- Initializes the database.
function DB:Initialize()
  self.Initialize = nil
  local db = DethsLibLoader("DethsDBLib", "1.1"):Create(AddonName, defaults)
  setmetatable(self, {__index = db})

  -- Initialize highscore text
  Addon.Game:SetHighScore(self.Global.HighScore)
end
