local AddonName, Addon = ...

-- Libs
local DGL = Addon.Libs.DGL

-- Upvalues
local UIFrameFadeOut = UIFrameFadeOut

-- Modules
local Game = Addon.Game
local Death = Game.States.Death

-- ============================================================================
-- GameState Functions
-- ============================================================================

function Death:Initialize()
  local flash = Game.WorldFrame:CreateTexture(nil, "OVERLAY")
  flash:SetColorTexture(1, 1, 1)
  flash:SetAllPoints()
  self.flash = flash
end

function Death:OnEnter()
  self.flash:Show()
  self.flash:SetAlpha(0.5)
  UIFrameFadeOut(self.flash, 0.15)
end
-- function Death:OnLeave() end

-- function Death:OnPause() end
-- function Death:OnResume() end

function Death:OnUpdate(elapsed)
  DGL.GameObject:OnUpdate(Game, elapsed)
end
