local AddonName, Addon = ...
Addon.TITLE_COLOR = "6CA4B8"
Addon.GAME_ICON = 1369786 -- Rubber Ducky

-- Libs
local DGL = DethsLibLoader("DethsGameLib", "1.0")

Addon.Libs = {
  DCL = DethsLibLoader("DethsColorLib", "1.1"),
  DGL = DGL,

  L = LibStub('AceLocale-3.0'):GetLocale(AddonName),
  LDB = LibStub("LibDataBroker-1.1"),
  LDBIcon = LibStub("LibDBIcon-1.0")
}

-- Modules
Addon.Core = DethsLibLoader("DethsAddonLib", "1.0"):Create(AddonName)
Addon.DB = {}
Addon.MinimapIcon = {}

-- Game
Addon.Game = DGL:Create(800, 400)
Addon.Game.States = {
  StartGame = {},
  Paused = {},
  Playing = {},
  Death = {}
}

Addon.World = DGL.Libs.bump.newWorld()

-- GameObjects
Addon.Column = {}
Addon.ParallaxBackground = {}
Addon.Player = {}

Addon.Sublayers = {
  Background = -8,
  Column = 0,
  Ground = 1,
  Player = 2
}
